> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/oms/celery-metrics-service.md).

# Celery Metrics Service

This service provides information about the tasks in celery queues.

### `GET` Celery Metrics Service

This method is used to retrieve the number of tasks for each queue type in celery configuration.

**Path:** `/api/v1/oms/celery-metrics/metrics/`

**Example Request**

To retrieve the task count information, a `GET` request should be sent to `/api/v1/oms/celery-metrics/metrics/` endpoint. No query parameter or body required.

```python
import requests

url = "https://{oms_base_url}/api/v1/oms/celery-metrics/metrics/"
api_token = "f532eXXXXXXXXXXXXXXXXX201XXXXX9332d"

headers = {
'Accept': 'application/json',
'Authorization': 'Token {}'.format(api_token)
}

response = requests.request("GET", url, headers=headers)

print(response.json())
```

**Example Response (200 OK)**

In a successful response with a status code of 200 OK, the API returns the metric data in the JSON format.

| Parameter | Data Type | Description                                     |
| --------- | --------- | ----------------------------------------------- |
| low       | integer   | The number of tasks in the queue named 'low'    |
| high      | integer   | The number of tasks in the queue named 'high'   |
| celery    | integer   | The number of tasks in the queue named 'celery' |

This example response serves as a reference to understand the structure and data format of metric data.

```json
{
    "low": 0,
    "high": 0,
    "celery": 0
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/oms/celery-metrics-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
